Show / Hide Table of Contents

# Class Curses

##### Inheritance

System.Object
Curses

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Unix.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Curses

### Fields

#### A_BLINK

##### Declaration

    public const int A_BLINK = 524288

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_BOLD

##### Declaration

    public const int A_BOLD = 2097152

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_DIM

##### Declaration

    public const int A_DIM = 1048576

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_INVIS

##### Declaration

    public const int A_INVIS = 8388608

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_NORMAL

##### Declaration

    public const int A_NORMAL = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_PROTECT

##### Declaration

    public const int A_PROTECT = 16777216

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_REVERSE

##### Declaration

    public const int A_REVERSE = 262144

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_STANDOUT

##### Declaration

    public const int A_STANDOUT = 65536

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### A_UNDERLINE

##### Declaration

    public const int A_UNDERLINE = 131072

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_BLOCK

##### Declaration

    public const int ACS_BLOCK = 4194352

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_BOARD

##### Declaration

    public const int ACS_BOARD = 4194408

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_BTEE

##### Declaration

    public const int ACS_BTEE = 4194422

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_BULLET

##### Declaration

    public const int ACS_BULLET = 4194430

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_CKBOARD

##### Declaration

    public const int ACS_CKBOARD = 4194401

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_DARROW

##### Declaration

    public const int ACS_DARROW = 4194350

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_DEGREE

##### Declaration

    public const int ACS_DEGREE = 4194406

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_DIAMOND

##### Declaration

    public const int ACS_DIAMOND = 4194400

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_HLINE

##### Declaration

    public const int ACS_HLINE = 4194417

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_LANTERN

##### Declaration

    public const int ACS_LANTERN = 4194409

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_LARROW

##### Declaration

    public const int ACS_LARROW = 4194348

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_LLCORNER

##### Declaration

    public const int ACS_LLCORNER = 4194413

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_LRCORNER

##### Declaration

    public const int ACS_LRCORNER = 4194410

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_LTEE

##### Declaration

    public const int ACS_LTEE = 4194420

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_PLMINUS

##### Declaration

    public const int ACS_PLMINUS = 4194407

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_PLUS

##### Declaration

    public const int ACS_PLUS = 4194414

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_RARROW

##### Declaration

    public const int ACS_RARROW = 4194347

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_RTEE

##### Declaration

    public const int ACS_RTEE = 4194421

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_S1

##### Declaration

    public const int ACS_S1 = 4194415

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_S9

##### Declaration

    public const int ACS_S9 = 4194419

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_TTEE

##### Declaration

    public const int ACS_TTEE = 4194423

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_UARROW

##### Declaration

    public const int ACS_UARROW = 4194349

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_ULCORNER

##### Declaration

    public const int ACS_ULCORNER = 4194412

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_URCORNER

##### Declaration

    public const int ACS_URCORNER = 4194411

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ACS_VLINE

##### Declaration

    public const int ACS_VLINE = 4194424

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyDown

##### Declaration

    public const int AltKeyDown = 523

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyEnd

##### Declaration

    public const int AltKeyEnd = 528

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyHome

##### Declaration

    public const int AltKeyHome = 533

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyLeft

##### Declaration

    public const int AltKeyLeft = 543

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyNPage

##### Declaration

    public const int AltKeyNPage = 548

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyPPage

##### Declaration

    public const int AltKeyPPage = 553

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyRight

##### Declaration

    public const int AltKeyRight = 558

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### AltKeyUp

##### Declaration

    public const int AltKeyUp = 564

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_BLACK

##### Declaration

    public const int COLOR_BLACK = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_BLUE

##### Declaration

    public const int COLOR_BLUE = 4

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_CYAN

##### Declaration

    public const int COLOR_CYAN = 6

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_GREEN

##### Declaration

    public const int COLOR_GREEN = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_MAGENTA

##### Declaration

    public const int COLOR_MAGENTA = 5

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_RED

##### Declaration

    public const int COLOR_RED = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_WHITE

##### Declaration

    public const int COLOR_WHITE = 7

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### COLOR_YELLOW

##### Declaration

    public const int COLOR_YELLOW = 3

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyDown

##### Declaration

    public const int CtrlKeyDown = 525

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyEnd

##### Declaration

    public const int CtrlKeyEnd = 530

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyHome

##### Declaration

    public const int CtrlKeyHome = 535

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyLeft

##### Declaration

    public const int CtrlKeyLeft = 545

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyNPage

##### Declaration

    public const int CtrlKeyNPage = 550

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyPPage

##### Declaration

    public const int CtrlKeyPPage = 555

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyRight

##### Declaration

    public const int CtrlKeyRight = 560

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### CtrlKeyUp

##### Declaration

    public const int CtrlKeyUp = 566

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### DownEnd

##### Declaration

    public const int DownEnd = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ERR

##### Declaration

    public const int ERR = -1

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Home

##### Declaration

    public const int Home = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KEY_CODE_YES

##### Declaration

    public const int KEY_CODE_YES = 256

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyAlt

##### Declaration

    public const int KeyAlt = 8192

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyBackspace

##### Declaration

    public const int KeyBackspace = 263

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyBackTab

##### Declaration

    public const int KeyBackTab = 353

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyDeleteChar

##### Declaration

    public const int KeyDeleteChar = 330

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyDown

##### Declaration

    public const int KeyDown = 258

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyEnd

##### Declaration

    public const int KeyEnd = 360

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF1

##### Declaration

    public const int KeyF1 = 265

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF10

##### Declaration

    public const int KeyF10 = 274

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF11

##### Declaration

    public const int KeyF11 = 275

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF12

##### Declaration

    public const int KeyF12 = 276

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF2

##### Declaration

    public const int KeyF2 = 266

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF3

##### Declaration

    public const int KeyF3 = 267

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF4

##### Declaration

    public const int KeyF4 = 268

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF5

##### Declaration

    public const int KeyF5 = 269

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF6

##### Declaration

    public const int KeyF6 = 270

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF7

##### Declaration

    public const int KeyF7 = 271

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF8

##### Declaration

    public const int KeyF8 = 272

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyF9

##### Declaration

    public const int KeyF9 = 273

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyHome

##### Declaration

    public const int KeyHome = 262

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyInsertChar

##### Declaration

    public const int KeyInsertChar = 331

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyLeft

##### Declaration

    public const int KeyLeft = 260

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyMouse

##### Declaration

    public const int KeyMouse = 409

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyNPage

##### Declaration

    public const int KeyNPage = 338

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyPPage

##### Declaration

    public const int KeyPPage = 339

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyResize

##### Declaration

    public const int KeyResize = 410

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyRight

##### Declaration

    public const int KeyRight = 261

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyTab

##### Declaration

    public const int KeyTab = 9

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### KeyUp

##### Declaration

    public const int KeyUp = 259

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### LC_ALL

##### Declaration

    public const int LC_ALL = 6

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### LeftRightUpNPagePPage

##### Declaration

    public const int LeftRightUpNPagePPage = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyDown

##### Declaration

    public const int ShiftCtrlKeyDown = 526

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyEnd

##### Declaration

    public const int ShiftCtrlKeyEnd = 531

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyHome

##### Declaration

    public const int ShiftCtrlKeyHome = 536

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyLeft

##### Declaration

    public const int ShiftCtrlKeyLeft = 546

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyNPage

##### Declaration

    public const int ShiftCtrlKeyNPage = 551

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyPPage

##### Declaration

    public const int ShiftCtrlKeyPPage = 556

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyRight

##### Declaration

    public const int ShiftCtrlKeyRight = 561

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftCtrlKeyUp

##### Declaration

    public const int ShiftCtrlKeyUp = 567

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyDown

##### Declaration

    public const int ShiftKeyDown = 336

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyEnd

##### Declaration

    public const int ShiftKeyEnd = 386

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyHome

##### Declaration

    public const int ShiftKeyHome = 391

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyLeft

##### Declaration

    public const int ShiftKeyLeft = 393

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyNPage

##### Declaration

    public const int ShiftKeyNPage = 396

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyPPage

##### Declaration

    public const int ShiftKeyPPage = 398

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyRight

##### Declaration

    public const int ShiftKeyRight = 402

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### ShiftKeyUp

##### Declaration

    public const int ShiftKeyUp = 337

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

#### ColorPairs

##### Declaration

    public static int ColorPairs { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Cols

##### Declaration

    public static int Cols { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### HasColors

##### Declaration

    public static bool HasColors { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Lines

##### Declaration

    public static int Lines { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### addch(Int32)

##### Declaration

    public static int addch(int ch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | ch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### addstr(String, Object[])

##### Declaration

    public static int addstr(string format, params object[] args)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | format |
System.Object[] | args |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### addwstr(String)

##### Declaration

    public static int addwstr(string s)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### attroff(Int32)

##### Declaration

    public static int attroff(int attrs)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | attrs |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### attron(Int32)

##### Declaration

    public static int attron(int attrs)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | attrs |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### attrset(Int32)

##### Declaration

    public static int attrset(int attrs)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | attrs |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### cbreak()

##### Declaration

    public static int cbreak()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### CheckWinChange()

##### Declaration

    public static bool CheckWinChange()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### clearok(IntPtr, Boolean)

##### Declaration

    public static int clearok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### COLOR_PAIRS()

##### Declaration

    public static int COLOR_PAIRS()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ColorPair(Int32)

##### Declaration

    public static int ColorPair(int n)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | n |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### doupdate()

##### Declaration

    public static int doupdate()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### echo()

##### Declaration

    public static int echo()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### endwin()

##### Declaration

    public static int endwin()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### get_wch(out Int32)

##### Declaration

    public static int get_wch(out int sequence)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | sequence |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### getch()

##### Declaration

    public static int getch()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### getmouse(out Curses.MouseEvent)

##### Declaration

    public static uint getmouse(out Curses.MouseEvent ev)

##### Parameters

Type | Name | Description
--- | --- | ---
Curses.MouseEvent | ev |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### halfdelay(Int32)

##### Declaration

    public static int halfdelay(int t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | t |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### has_colors()

##### Declaration

    public static bool has_colors()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### idcok(IntPtr, Boolean)

##### Declaration

    public static void idcok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

#### idlok(IntPtr, Boolean)

##### Declaration

    public static int idlok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### immedok(IntPtr, Boolean)

##### Declaration

    public static void immedok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

#### init_pair(Int16, Int16, Int16)

##### Declaration

    public static int init_pair(short pair, short f, short b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | pair |
System.Int16 | f |
System.Int16 | b |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### InitColorPair(Int16, Int16, Int16)

##### Declaration

    public static int InitColorPair(short pair, short foreground, short background)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | pair |
System.Int16 | foreground |
System.Int16 | background |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### initscr()

##### Declaration

    public static Curses.Window initscr()

##### Returns

Type | Description
--- | ---
Curses.Window |

#### intrflush(IntPtr, Boolean)

##### Declaration

    public static int intrflush(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### IsAlt(Int32)

##### Declaration

    public static int IsAlt(int key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | key |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### isendwin()

##### Declaration

    public static bool isendwin()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### keypad(IntPtr, Boolean)

##### Declaration

    public static int keypad(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### leaveok(IntPtr, Boolean)

##### Declaration

    public static int leaveok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### meta(IntPtr, Boolean)

##### Declaration

    public static int meta(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### mouseinterval(Int32)

##### Declaration

    public static int mouseinterval(int interval)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | interval |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### mousemask(Curses.Event, out Curses.Event)

##### Declaration

    public static Curses.Event mousemask(Curses.Event newmask, out Curses.Event oldmask)

##### Parameters

Type | Name | Description
--- | --- | ---
Curses.Event | newmask |
Curses.Event | oldmask |

##### Returns

Type | Description
--- | ---
Curses.Event |

#### move(Int32, Int32)

##### Declaration

    public static int move(int line, int col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | line |
System.Int32 | col |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### mvgetch(Int32, Int32)

##### Declaration

    public static int mvgetch(int y, int x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | y |
System.Int32 | x |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### nl()

##### Declaration

    public static int nl()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### nocbreak()

##### Declaration

    public static int nocbreak()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### noecho()

##### Declaration

    public static int noecho()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### nonl()

##### Declaration

    public static int nonl()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### noqiflush()

##### Declaration

    public static void noqiflush()

#### noraw()

##### Declaration

    public static int noraw()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### notimeout(IntPtr, Boolean)

##### Declaration

    public static int notimeout(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### qiflush()

##### Declaration

    public static void qiflush()

#### raw()

##### Declaration

    public static int raw()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### redrawwin(IntPtr)

##### Declaration

    public static int redrawwin(IntPtr win)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### refresh()

##### Declaration

    public static int refresh()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### scrollok(IntPtr, Boolean)

##### Declaration

    public static int scrollok(IntPtr win, bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### setlocale(Int32, String)

##### Declaration

    public static int setlocale(int cate, string locale)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cate |
System.String | locale |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### setscrreg(Int32, Int32)

##### Declaration

    public static int setscrreg(int top, int bot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | top |
System.Int32 | bot |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### start_color()

##### Declaration

    public static int start_color()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### StartColor()

##### Declaration

    public static int StartColor()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### timeout(Int32)

##### Declaration

    public static int timeout(int delay)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | delay |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### typeahead(IntPtr)

##### Declaration

    public static int typeahead(IntPtr fd)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | fd |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ungetch(Int32)

##### Declaration

    public static int ungetch(int ch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | ch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ungetmouse(ref Curses.MouseEvent)

##### Declaration

    public static uint ungetmouse(ref Curses.MouseEvent ev)

##### Parameters

Type | Name | Description
--- | --- | ---
Curses.MouseEvent | ev |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### use_default_colors()

##### Declaration

    public static int use_default_colors()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### UseDefaultColors()

##### Declaration

    public static int UseDefaultColors()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### waddch(IntPtr, Int32)

##### Declaration

    public static int waddch(IntPtr win, int ch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Int32 | ch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wmove(IntPtr, Int32, Int32)

##### Declaration

    public static int wmove(IntPtr win, int line, int col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Int32 | line |
System.Int32 | col |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wnoutrefresh(IntPtr)

##### Declaration

    public static int wnoutrefresh(IntPtr win)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wrefresh(IntPtr)

##### Declaration

    public static int wrefresh(IntPtr win)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wsetscrreg(IntPtr, Int32, Int32)

##### Declaration

    public static int wsetscrreg(IntPtr win, int top, int bot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Int32 | top |
System.Int32 | bot |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wtimeout(IntPtr, Int32)

##### Declaration

    public static int wtimeout(IntPtr win, int delay)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | win |
System.Int32 | delay |

##### Returns

Type | Description
--- | ---
System.Int32 |